# $Revision: 1.6 $, $Date: 2004/08/19 00:17:31 $
%define 	modulename pam_chroot
Summary:	PAM chroot module
Summary(pl):	Modu PAM zamykajcy uytkownika w chroocie
Name:		pam-%{modulename}
Version:	0.6
Release:	2
Epoch:		0
License:	GPL v2
Vendor:		Ed Schmollinger <schmolli@frozencrow.org>
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/libs/pam/pre/modules/pam_chroot-%{version}.tar.bz2
# Source0-md5:	cd8ee12235c6bee6b825c295443bd8ae
URL:		http://www.kernel.org/pub/linux/libs/pam/pre/modules/
BuildRequires:	pam-devel
Obsoletes:	pam_chroot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM module which allows to chroot user enviroment.

%description -l pl
Modu PAM pozwalajcy na zamknicie uytkownika w chroocie.

%prep
%setup -q -n %{modulename}-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-fPIC %{rpmcflags} -Wall -Werror -pedantic"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/security,/%{_lib}/security}

install pam_chroot.so $RPM_BUILD_ROOT/%{_lib}/security
install chroot.conf $RPM_BUILD_ROOT%{_sysconfdir}/security/chroot.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS options
%attr(755,root,root) /%{_lib}/security/pam_chroot.so
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/security/chroot.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_chroot.spec,v $
Revision 1.6  2004/08/19 00:17:31  undefine
- release 2

Revision 1.5  2004/07/29 20:47:34  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.4  2003/11/28 09:38:33  qboosh
- Obsoletes for old name without macro

Revision 1.3  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.2  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.1  2003/11/25 13:54:54  siefca
- leaded common naming conventions for PAM module packages

Revision 1.9  2003/09/09 10:24:23  ankry
- spaces -> tab

Revision 1.8  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/21 15:29:00  qboosh
- pl fix, one chroot.conf is enough

Revision 1.5  2003/02/14 03:48:59  kloczek
- use proper CC and CFLAGS.

Revision 1.4  2003/02/14 03:45:44  kloczek
- spec adapterized and some cleanups.

Revision 1.3  2003/02/13 18:50:47  ppv
- yeah, change 2 dirs to security and leave config in sysconfig.. am I stupid or what?

Revision 1.2  2003/02/13 18:45:54  ppv
- module calls for /etc/security/chroot.conf
- correction of .pl letters in specfile

Revision 1.1  2003/02/13 18:19:23  ppv
- specfile by Micha J. Podyma

* Wed Feb 12 2003 Micha J. Podyma <misiek@r-h.pl>
- intial RPM
